API ReferenceapicommunityGET /v1/communities/by-member/{user_id}

GET /v1/communities/by-member/\{user_id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Query parameters

  • limit (integer) —
  • cursor (string) —

Responses

200 Paginated list of communities joined by a user

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "slug": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "cover_image_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "owner_user_id": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "slug",
          "name",
          "description",
          "cover_image_url",
          "owner_user_id",
          "created_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Upstream dependency error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/communities/by-member/{user_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"